GRASS toolbox: don't check for optional parameters
Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13263

Description

GRASS toolbox should not check if a parameter which is optional is set.

Case: r.cost supports various optional stopping points input. A vector map is one of them. However, if the a following line is added to it's

qgm file:

<option key="stop_points" hidden="no" advanced="yes"/>

running the module throws an "Exception: Vector map <@PERMANENT> not found", although the command would run fine without

stop_points specified.

History

#1 - 2010-11-13 05:03 AM - Maciej Sieczka -

Feature request #3204 is related.

#2 - 2011-12-16 01:54 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2011-12-23 09:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No

- Assignee deleted (Lorenzo Masini)

#4 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2016-02-15 12:25 AM - Radim Blazek

- Status changed from Open to Closed

- Resolution set to fixed/implemented
It seems to be fixed. Tested with r.cost.vect.qgm and

<option key="stop_points" hidden="no" advanced="yes"/>

the option is added only if it is not empty.
